{% extends "base.html" %}

{% block content %}
  <div class="container">
    <div class="row my-4">
      <div class="col-12">
        <h1>Hi, {{current_user.username}} <small style="font-size: 1.2rem;"><span class="badge badge-dark text-monospace">{{ current_user.roles[0].name }}</span></small></h1>
      </div>
    </div>
    <div class="row justify-content-center">
      <div class="col-md-4 col-sm-6 col-12 my-1">
        <div class="border rounded p-2">
          <h4>{{ total }} Clients</h4>
        </div>
      </div>
      <div class="col-md-4 col-sm-6 col-12 my-1">
        <div class="border rounded p-2">
          <h4>{{ total_sale }} <small><i class="fas fa-rupee-sign"></i></small> Sale</h4>
        </div> 
      </div>
      <div class="col-md-4 col-sm-6 col-12 my-1">
        <div class="border rounded p-2">
          <h4>{{ total_deposit }} <small><i class="fas fa-rupee-sign"></i></small> Deposit</h4>
        </div>
      </div>
    </div>
    <div class="row mt-4">
      <div class="col-12" id="container-chart">
        
      </div>
    </div>
  </div>
{% endblock %}
{% block scripts %}
<script src="https://code.highcharts.com/highcharts.js"></script>
<script src="https://code.highcharts.com/highcharts-more.js"></script>
<script>
let categories = [];
let datas = [];
</script>
  {% for client_amount in clients_amount.items() %}
    <script>categories.push("{{ client_amount[0] }}")</script>
    <script>datas.push([parseFloat("{{ client_amount[1][0] }}"), parseFloat("{{ client_amount[1][1] }}")])</script>
  {% endfor %}
<script>
  Highcharts.chart('container-chart', {

    chart: {
        type: 'columnrange',
        inverted: true
    },

    title: {
        text: 'Client dues chart'
    },

    subtitle: {
        text: 'Details of dues and advance amount of client'
    },

    xAxis: {
        categories: categories
    },

    yAxis: {
        title: {
            text: 'Price'
        }
    },

    tooltip: {
        valueSuffix: ' Rs.'
    },

    plotOptions: {
        columnrange: {
            dataLabels: {
                enabled: true,
                format: '{y} Rs.'
            }
        }
    },

    legend: {
        enabled: false
    },

    series: [{
        name: 'Amount',
        data: datas
    }]

  });

</script>
{% endblock %}